> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Text-To-Speech Providers API Endpoint

> This API endpoint allows retrieval of supported Text-To-Speech providers.



## OpenAPI

````yaml get /api/text-to-speech-providers/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/text-to-speech-providers/:
    get:
      tags:
        - api
      summary: Get Supported Text-To-Speech Providers API Endpoint
      description: >-
        This API endpoint allows retrieval of supported Text-To-Speech
        providers.
      operationId: get_supported_tts_providers
      responses:
        '200':
          description: Successfully retrieved supported Text-To-Speech providers
          content:
            application/json:
              schema:
                title: Supported Text-To-Speech Providers
                type: array
                items:
                  title: ElevenLabs TTS Service
                  type: object
                  properties:
                    provider_name:
                      type: string
                    provider_id:
                      type: string
                    provider_logo:
                      type: string
                    home_page:
                      type: string
                  description: ElevenLabs TTS Service OpenAPI Schema
              example:
                - provider_name: ElevenLabs
                  provider_id: elevenlabs
                  provider_logo: https://elevenlabs.io/favicon.ico
                  home_page: https://elevenlabs.io/
                - provider_name: TikTok TTS
                  provider_id: tiktok
                  provider_logo: https://www.tiktok.com/favicon.ico
                  home_page: https://tiktok.com
                - provider_name: Microsoft Azure
                  provider_id: azure
                  provider_logo: https://azure.microsoft.com/favicon.ico?v2
                  home_page: >-
                    https://azure.microsoft.com/en-us/products/ai-services/text-to-speech
        '500':
          description: Failed to retrieve supported Text-To-Speech providers
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````